## jacktrip 1.1~repack

=== faust-src/Makefile ===
all : jackgtk

test: jackgtk alsagtk jackqt alsaqt ladspa ossgtk bench plot sndfile jackconsole

svg:
	$(MAKE) -f Makefile.svg
	
puredata :
	install -d puredatadir
	$(MAKE) DEST='puredatadir/' ARCH='puredata.cpp' LIB='' -f Makefile.pdcompile

alsagtk :
	install -d alsagtkdir
	$(MAKE) DEST='alsagtkdir/' ARCH='alsa-gtk.cpp' LIB='-lpthread -lasound  `pkg-config --cflags --libs gtk+-2.0`' -f Makefile.compile

jackgtk :
	install -d jackgtkdir
	$(MAKE) DEST='jackgtkdir/' ARCH='jack-gtk.cpp' LIB='`pkg-config --cflags --libs jack gtk+-2.0`' -f Makefile.compile

jackqt :
	install -d jackqtdir
	$(MAKE) DEST='jackqtdir/' ARCH='jack-qt.cpp' LIB='-ljack' -f Makefile.qtcompile

alsaqt :
	install -d alsaqtdir
	$(MAKE) DEST='alsaqtdir/' ARCH='alsa-qt.cpp' LIB='-lpthread -lasound' -f Makefile.qtcompile

ladspa :
	install -d ladspadir
	$(MAKE) DEST='ladspadir/' ARCH='ladspa.cpp' LIB='-fPIC -shared' EXT='.so' -f Makefile.ladspacompile
	
jackwx :
	install -d jackwxdir
	$(MAKE) DEST='jackwxdir/' ARCH='jack-wx.cpp' LIB='`pkg-config jack  --cflags --libs` `wx-config --cflags --libs`' -f Makefile.compile

ossgtk :
	install -d ossgtkdir
	$(MAKE) DEST='ossgtkdir/' ARCH='oss-gtk.cpp' LIB='-lpthread  `pkg-config gtk+-2.0  --cflags --libs`' -f Makefile.compile

osswx :
	install -d osswxdir
	$(MAKE) DEST='osswxdir/' ARCH='oss-wx.cpp' LIB='-lpthread  `wx-config --cflags --libs`' -f Makefile.compile

pagtk :
	install -d pagtkdir
	$(MAKE) DEST='pagtkdir/' ARCH='pa-gtk.cpp' LIB='-lpthread  -lportaudio `pkg-config gtk+-2.0  --cflags --libs`' -f Makefile.compile

pawx :
	install -d pawxdir
	$(MAKE) DEST='pawxdir/' ARCH='pa-wx.cpp' LIB='-lpthread  -lportaudio `wx-config --cflags --libs`' -f Makefile.compile

module :
	install -d moduledir
	$(MAKE) DEST='moduledir/' ARCH='module.cpp' LIB='-fPIC -shared' EXT='.so' -f Makefile.compile

bundle :
	install -d bundledir
	$(MAKE) DEST='bundledir/' ARCH='module.cpp' LIB='-fPIC -bundle' EXT='.so' -f Makefile.compile

msp :
	install -d mspdir
	$(MAKE) DEST='mspdir/' ARCH='max-msp.cpp' LIB='' -f Makefile.mspcompile

vst :
	install -d vstdir
	$(MAKE) DEST='vstdir/' ARCH='vst.cpp' LIB='' -f Makefile.vstcompile

bench :
	install -d benchdir
	$(MAKE) DEST='benchdir/' ARCH='bench.cpp' LIB='' -f Makefile.compile

sndfile :
	install -d sndfiledir
	$(MAKE) DEST='sndfiledir/' ARCH='sndfile.cpp' LIB='-lsndfile' -f Makefile.compile

plot :
	install -d plotdir
	$(MAKE) DEST='plotdir/' ARCH='plot.cpp' LIB='' -f Makefile.compile

matlabplot :
	install -d matlabplotdir
	$(MAKE) DEST='matlabplotdir/' ARCH='matlabplot.cpp' LIB='' -f Makefile.compile

q :
	install -d qdir
	$(MAKE) DEST='qdir/' ARCH='q.cpp' LIB='' -f Makefile.qcompile

supercollider :
	install -d supercolliderdir
	$(MAKE) DEST='supercolliderdir/' ARCH='../architecture/supercollider.cpp' CXXFLAGS='`pkg-config --cflags libscsynth`' LIB='-fPIC -shared' EXT='.so' -f Makefile.sccompile

jackconsole :
	install -d jackconsoledir
	$(MAKE) DEST='jackconsoledir/' ARCH='jack-console.cpp' LIB='`pkg-config --cflags --libs jack `' -f Makefile.compile

clean :
	rm -rf alsagtkdir jackgtkdir alsaqtdir jackqtdir vecalsagtkdir vecjackgtkdir ladspadir jackwxdir ossgtkdir osswxdir pagtkdir pawxdir moduledir bundledir mspdir vstdir benchdir sndfiledir plotdir benchdir supercolliderdir puredatadir qdir plotdir jackconsoledir matlabplotdir *-ps *-svg

## jacktrip 1.0.5.patch2

=== debian/changelog ===
jacktrip (1.0.5.patch2-1ubuntu1) quantal; urgency=low

  * Fix FTBFS because of missing header.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 28 Sep 2012 22:34:32 +0400

jacktrip (1.0.5.patch2-1) unstable; urgency=low

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * Initial release.
    Closes: bug#604758.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Nov 2010 11:27:15 +0100

=== debian/control ===
Source: jacktrip
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 cdbs (>= 0.4.69~),
 devscripts (>= 2.10.7~),
 doxygen,
 help2man,
 libqt4-dev,
 qt4-qmake,
 libjack-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/jacktrip/
Vcs-Git: git://git.debian.org/pkg-multimedia/jacktrip
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jacktrip.git

Package: jacktrip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A System for High-Quality Audio Network Performance
 JackTrip is a Linux and Mac OS X-based system used for multi-machine network
 performance over the Internet. It supports any number of channels (as many as
 the computer/network can handle) of bidirectional, high quality, uncompressed
 audio signal steaming.
 .
 You can use it between any combination of Linux and Mac OS X (i.e., one end
 using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the SoundWIRE
 group.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Description: Main Debian packaging script for jacktrip


# Copyright © 2010 IOhannes m zmölnig <zmoelnig@iem.at>
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
-include /usr/share/cdbs/1/rules/utils.mk

DBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

DEB_SRCDIR = src
DEB_DH_INSTALLCHANGELOGS_ARGS = CHANGESLOG.txt

# Suppress scanning documentation images causing false alarms.
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./(documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints)))$

build/jacktrip::
	doxygen jacktrip_doxygen
	help2man -N src/jacktrip > jacktrip.1

clean::
	rm -rf WWW
	rm -f jacktrip.1

=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=3
http://googlecode.debian.net/p/jacktrip/jacktrip-(\d+.*)\.tar\.gz

## jacktrip 1.1~repack

=== debian/changelog ===
jacktrip (1.1~repack-3) unstable; urgency=medium

  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script (documented in README.source)
  * Fixed debian/watch
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Feb 2016 13:34:05 +0100

jacktrip (1.1~repack-2) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Build against Qt5
  * Fix spelling errors
  * documentation
    * Strip lines that confuse help2man
    * Don't ship doxygen's useless .map-files
    * Build-Depend on graphviz for nice inheritance pictures
  * Regenerated debian/{control,copyright_hints}

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Jun 2015 11:53:35 +0200

jacktrip (1.1~repack-1) unstable; urgency=medium

  * New Upstream Release

  [ IOhannes m zmölnig ]
  * Document repacking of upstream sources in debian/README.source
  * Remove patches incorporated upstream
  * Build-depend on librtaudio-dev
    * Backport patches to use system-installed RtAudio
  * Patch for reproducible builds (Closes: #788757)
  * Don't ship with doxygen's useless md5-files
  * Unconditionally include cdbs/utils.mk
  * Update my Uploader's name
  * Upstream homepage has moved to github
    * Update debian/watch
  * Update debian/copyright
  * Regenerate debian/{control,copyright_hints}
  * Bump standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 28 Jun 2015 22:57:51 +0200

jacktrip (1.0.5.patch2-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix typo and improve wording of long description.
  * Rewrap long description at 72 chars.
  * Tighten build-dependency on cdbs to versions properly supporting
    debhelper compat level 7.
  * Adjust copyright-check suppression hint to match recent CDBS.

  [ IOhannes m zmölnig ]
  * Rewrite debian/copyright according to final version of DEP5.
  * Added missing include.
  * Removed sourceforge-logo from docs.
  * Fixed my uploader's name (after gpg-key transition).
  * Canonicalized Vcs-* stanzas.
  * Filtered input to help2man for nicer manpages.
  * Forced NAME-paragraph of manpage to something useful.
  * Removed unused patch.
  * Updated my uploader's name.
  * Bumped standards-version to 3.9.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 May 2014 17:32:29 +0200

=== debian/control ===
Source: jacktrip
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 doxygen,
 graphviz,
 help2man,
 qtbase5-dev,
 qt5-qmake,
 libjack-dev,
 librtaudio-dev
Standards-Version: 3.9.7
Homepage: https://github.com/jcacerec/jacktrip/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jacktrip.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jacktrip.git

Package: jacktrip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-quality system for audio network performances
 JackTrip is a Linux and Mac OS X-based system used for multi-machine
 network performance over the Internet. It supports any number of
 channels (as many as the computer/network can handle) of bidirectional,
 high quality, uncompressed audio signal streaming.
 .
 You can use it between any combination of Linux and Mac OS X systems
 (i.e., one end using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the
 SoundWIRE group.

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,11 @@
 # TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 # SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
+export QT_SELECT=qt5
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/qmake.mk
--include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/utils.mk
 
 DBS_BUILD_DEPENDS_rules_utils_copyright-check =
 CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
@@ -37,11 +38,13 @@
 DEB_DH_INSTALLCHANGELOGS_ARGS = CHANGESLOG.txt
 
 # Suppress scanning documentation images causing false alarms.
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./(documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints))$
 
 build/jacktrip::
 	doxygen jacktrip_doxygen
-	help2man -N src/jacktrip > jacktrip.1
+	find WWW -name "*.md5" -delete
+	find WWW -name "*.map" -delete
+	help2man -N -n "high-quality system for audio network performances" debian/jacktrip-help2man > jacktrip.1
 
 clean::
 	rm -rf WWW

=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=4
opts=dversionmangle=s/[~+](dfsg|repack)(\.\d*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jacktrip-$1\.tar\.gz/ \
  https://github.com/jcacerec/jacktrip/tags .*/v?(\d\S*)\.tar\.gz
#https://github.com/jcacerec/jacktrip/releases \
#.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|jacktrip(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## jacktrip 1.2.1+ds0

=== debian/changelog ===
jacktrip (1.2.1+ds0-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 1.2.1+ds0

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Add salsa-ci configuration

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Aug 2020 20:05:55 +0200

jacktrip (1.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.2
    * Remove patches applied upstream
    * New patch to fix spelling
  * Build manpage directly from binary
  * Update d/copyright
    * Regenerate d/copyright_hints
    * Fixe Files-stanza in d/copyright
    * Remove files dropped by upstream from Files-Excluded
  * Fix d/watch
    * Use upstream's github repository
    * Use dversionmangle=auto
    * Add repacksuffix
  * Bump dh-compat to 13
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jun 2020 10:27:50 +0200

jacktrip (1.1~repack-7) unstable; urgency=medium

  * Patch to handle IPv4-mapped addresses.
    Thanks to Aaron Wyatt <dev@psi-borg.org> (Closes: #939126)
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Sep 2019 13:35:55 +0200

jacktrip (1.1~repack-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Improve cross building: Use a triplet-prefixed pkg-config.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #923566)
  * Switch build-system from CDBS to dh
  * Add fix for another spelling error
  * Update d/copyright
    * Add Files-Excluded stanza
    * Update dates
    * Regenerate d/copyright_hints
  * Fix typo in d/README.source
  * Declare that building the package doesn't require 'root' powers
  * Drop obsolete d/source/local-options to allow 'dgit push'
  * Removed Jonas from uploaders (after a quick check on IRC)
  * Bump dh compat to 12
    * Use debhelper-compat instead of debian/compat
  * Bump standards-version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Aug 2019 09:19:01 +0200

jacktrip (1.1~repack-5) unstable; urgency=medium

  * Only build 'release' profile
    * No longer ship jacktrip_debug
  * Pass LDFLAGS to the build
  * Fixed typo in CDBS variable name

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Aug 2016 12:31:59 +0200

jacktrip (1.1~repack-4) unstable; urgency=medium

  * Get CFLAGS from librtaudio via pkg-config (Closes: #828951)
    * B-D on pkg-config
  * lintian-ignore build warnings for jacktrip_debug
  * Removed .gitignore
    * Suggest to use gbp-postclone hook instead
  * Updated d/copyright
  * Bumped standards version to 3.9.8
    * No changes needed

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Aug 2016 13:24:49 +0200

=== debian/control ===
Source: jacktrip
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 doxygen,
 graphviz,
 help2man,
 qtbase5-dev,
 qt5-qmake,
 pkg-config,
 libjack-dev,
 librtaudio-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/jcacerec/jacktrip/
Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jacktrip

Package: jacktrip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: high-quality system for audio network performances
 JackTrip is a Linux and Mac OS X-based system used for multi-machine
 network performance over the Internet. It supports any number of
 channels (as many as the computer/network can handle) of bidirectional,
 high quality, uncompressed audio signal streaming.
 .
 You can use it between any combination of Linux and Mac OS X systems
 (i.e., one end using Linux can connect to the other using Mac OS X).
 .
 It is currently being developed and actively tested at CCRMA by the
 SoundWIRE group.

=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=4
opts="dversionmangle=auto,repacksuffix=+ds0,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jacktrip-$1\.tar\.gz/" \
  https://github.com/jacktrip/jacktrip/tags .*/v?(\d\S*)\.tar\.gz

## jacktrip 1.3.0+ds0

=== debian/changelog ===
jacktrip (1.3.0+ds0-1) unstable; urgency=medium

  * New upstream version 1.3.0+ds0
    * Exclude source-less PDFs
  * Fix spelling mistakes
  * Follow upstream and "Suggest" to install iperf, audacity, qjackctl
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Refresh d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Jan 2021 12:53:28 +0100

jacktrip (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
    * Drop patches applied upstream
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Jan 2021 00:19:40 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  pkg-config,
  libjack-dev,
  librtaudio-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jcacerec/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
@@ -24,6 +24,7 @@
 Package: jacktrip
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: iperf, audacity, qjackctl
 Description: high-quality system for audio network performances
  JackTrip is a Linux and Mac OS X-based system used for multi-machine
  network performance over the Internet. It supports any number of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

CPPFLAGS+=$(shell $(PKG_CONFIG) --cflags rtaudio)
CFLAGS+=-DDEB_BUILD
CXXFLAGS+=-DDEB_BUILD
LDFLAGS+=$(shell $(PKG_CONFIG) --libs   rtaudio)

export CPPFLAGS
export CFLAGS
export CXXFLAGS
export LDFLAGS

export QT_SELECT=qt5
DEB_SRCDIR = src

%:
	dh $@ --sourcedirectory=$(DEB_SRCDIR) --buildsystem=qmake

override_dh_clean:
	dh_clean
	rm -rf WWW
	rm -f jacktrip.1

override_dh_auto_configure:
	dh_auto_configure
	cp $(DEB_SRCDIR)/Makefile.Release $(DEB_SRCDIR)/Makefile

override_dh_auto_build:
	dh_auto_build
	doxygen jacktrip_doxygen
	find WWW -name "*.md5" -delete
	find WWW -name "*.map" -delete
	help2man -N -n "high-quality system for audio network performances" src/jacktrip > jacktrip.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGESLOG.txt


licensecheck:
	licensecheck --deb-machine -r * \
		-i 'documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints))$$' \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=4
opts=dversionmangle=auto,\
     repacksuffix=+ds0,\
     filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/jacktrip/jacktrip/tags .*/v?(\d\S*)\.tar\.gz

## jacktrip 1.5.1+ds0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.13)
project(QJackTrip)

set(nogui FALSE)
set(rtaudio TRUE)
set(weakjack TRUE)
add_compile_definitions(NO_JTVS)
add_compile_definitions(QT_OPENSOURCE)

if (nogui)
  add_compile_definitions(NO_GUI)
endif ()

if (rtaudio)
  add_compile_definitions(RT_AUDIO)
endif ()

if (weakjack)
  add_compile_definitions(USE_WEAK_JACK)
  include_directories("externals/weakjack")
endif()

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (ENV{PKG_CONFIG_PATH} "/usr/local/lib/pkgconfig")
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
  add_compile_definitions(_WIN32_WINNT=0x0600 WIN32_LEAN_AND_MEAN)
  if (EXISTS "C:/Program Files/JACK2/include")
    include_directories("C:/Program Files/JACK2/include")
    set (jacklib "C:/Program Files/JACK2/lib/libjack64.lib")
  else ()
    include_directories("C:/Program Files (x86)/Jack/includes")
    set (jacklib "C:/Program Files (x86)/Jack/lib/libjack64.lib")
  endif ()
  set (CMAKE_PREFIX_PATH "C:/Qt/5.15.2/mingw81_64/lib/cmake")
  if (rtaudio)
    include_directories("C:/Program Files (x86)/RtAudio/include")
    set (rtaudiolib "C:/Program Files (x86)/RtAudio/lib/librtaudio.dll.a")
  endif ()
endif ()

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(JACK REQUIRED IMPORTED_TARGET jack)
  if (weakjack)
    # On mac, weakjack doesnt't find jack unless this is explicitly included.
    include_directories(${JACK_INCLUDE_DIRS})
  endif ()
  if (rtaudio)
    pkg_check_modules(RTAUDIO REQUIRED IMPORTED_TARGET rtaudio)
  endif ()
endif ()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
# Instruct CMake to create code from Qt designer ui files
set(CMAKE_AUTOUIC ON)

set(CMAKE_AUTORCC ON)

# Find the QtWidgets library
if (NOT nogui)
  find_package(Qt5Widgets CONFIG REQUIRED)
endif ()
find_package(Qt5Network CONFIG REQUIRED)

set(qjacktrip_SRC
  src/main.cpp
  src/Settings.cpp
  src/jacktrip_globals.cpp
  src/JackTrip.cpp
  src/UdpHubListener.cpp
  src/JackTripWorker.cpp
  src/DataProtocol.cpp
  src/UdpDataProtocol.cpp
  src/AudioInterface.cpp
  src/JackAudioInterface.cpp
  src/JMess.cpp
  src/LoopBack.cpp
  src/PacketHeader.cpp
  src/RingBuffer.cpp
  src/JitterBuffer.cpp
  src/PoolBuffer.cpp
  src/Compressor.cpp
  src/Limiter.cpp
  src/Reverb.cpp
  src/AudioTester.cpp
  src/Patcher.cpp
  src/SslServer.cpp
  src/Auth.cpp
)

if (rtaudio)
  set (qjacktrip_SRC ${qjacktrip_SRC}
    src/RtAudioInterface.cpp
  )
endif ()

if (weakjack)
  set (qjacktrip_SRC ${qjacktrip_SRC}
    externals/weakjack/weak_libjack.c
  )
endif ()

if (NOT nogui)
  set (qjacktrip_SRC ${qjacktrip_SRC}
    src/gui/qjacktrip.cpp
    src/gui/about.cpp
    src/gui/messageDialog.cpp
    src/gui/textbuf.cpp
    src/gui/qjacktrip.qrc
  )

  if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    set (qjacktrip_SRC ${qjacktrip_SRC} win/qjacktrip.rc)
  elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set (qjacktrip_SRC ${qjacktrip_SRC} src/gui/NoNap.mm)
    set (CMAKE_C_FLAGS "-x objective-c")
    set (CMAKE_EXE_LINKER_FLAGS "-framework Foundation")
  endif ()
endif ()

add_compile_definitions(WAIRTOHUB)

# Tell CMake to create the executable
add_executable(jacktrip ${qjacktrip_SRC})

# Set our libraries for our linker
set (qjacktrip_LIBS Qt5::Widgets)
if (NOT nogui)
  set (qjacktrip_LIBS ${qjacktrip_LIBS} Qt5::Network)
endif ()

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  if (weakjack)
    set (qjacktrip_LIBS ${qjacktrip_LIBS} dl)
  else ()
    set (qjacktrip_LIBS ${qjacktrip_LIBS} PkgConfig::JACK)
  endif ()
  if (rtaudio)
    set (qjacktrip_LIBS ${qjacktrip_LIBS} PkgConfig::RTAUDIO)
  endif ()
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
  set (qjacktrip_LIBS ${qjacktrip_LIBS} ws2_32)
  if (NOT weakjack)
    set (qjacktrip_LIBS ${qjacktrip_LIBS} ${jacklib})
  endif ()
  if (rtaudio)
    set (qjacktrip_LIBS ${qjacktrip_LIBS} ${rtaudiolib})
  endif ()
endif ()

target_link_libraries(jacktrip ${qjacktrip_LIBS})

# Install the executable
install(TARGETS jacktrip DESTINATION bin)

=== meson_options.txt ===
option('wair', type : 'boolean', value : 'false', description: 'WAIR')
option('rtaudio', type : 'feature', value : 'auto', description: 'Build with RtAudio Backend')
option('jack', type : 'feature', value : 'auto', description: 'Build with JACK Backend')
option('weakjack', type : 'boolean', value : 'false', description: 'Weak link JACK library')
option('nogui', type : 'boolean', value : 'false', description: 'Build without graphical user interface')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Choose build profile / Sets desktop id accordingly')

=== faust-src/Makefile ===
--- 
+++ 
@@ -1,17 +1,26 @@
+h headers :
+	install -d headersdir
+	$(MAKE) DEST='headersdir/' ARCH='faust2header.cpp' -f Makefile.headers
+
+ih hi installheaders : headers
+	install -m 0444 headersdir/*.h ../src/
+
+# The JackTrip project does not need the remaining make targets, except "clean" is nice to have:
+
 all : jackgtk
 
 test: jackgtk alsagtk jackqt alsaqt ladspa ossgtk bench plot sndfile jackconsole
 
 svg:
 	$(MAKE) -f Makefile.svg
-	
+
 puredata :
 	install -d puredatadir
 	$(MAKE) DEST='puredatadir/' ARCH='puredata.cpp' LIB='' -f Makefile.pdcompile
 
 alsagtk :
 	install -d alsagtkdir
-	$(MAKE) DEST='alsagtkdir/' ARCH='alsa-gtk.cpp' LIB='-lpthread -lasound  `pkg-config --cflags --libs gtk+-2.0`' -f Makefile.compile
+	$(MAKE) DEST='alsagtkdir/' ARCH='alsa-gtk.cpp' LIB='-lpthread -lasound	`pkg-config --cflags --libs gtk+-2.0`' -f Makefile.compile
 
 jackgtk :
 	install -d jackgtkdir
@@ -28,7 +37,7 @@
 ladspa :
 	install -d ladspadir
 	$(MAKE) DEST='ladspadir/' ARCH='ladspa.cpp' LIB='-fPIC -shared' EXT='.so' -f Makefile.ladspacompile
-	
+
 jackwx :
 	install -d jackwxdir
 	$(MAKE) DEST='jackwxdir/' ARCH='jack-wx.cpp' LIB='`pkg-config jack  --cflags --libs` `wx-config --cflags --libs`' -f Makefile.compile
@@ -47,7 +56,7 @@
 
 pawx :
 	install -d pawxdir
-	$(MAKE) DEST='pawxdir/' ARCH='pa-wx.cpp' LIB='-lpthread  -lportaudio `wx-config --cflags --libs`' -f Makefile.compile
+	$(MAKE) DEST='pawxdir/' ARCH='pa-wx.cpp' LIB='-lpthread	 -lportaudio `wx-config --cflags --libs`' -f Makefile.compile
 
 module :
 	install -d moduledir
@@ -94,6 +103,4 @@
 	$(MAKE) DEST='jackconsoledir/' ARCH='jack-console.cpp' LIB='`pkg-config --cflags --libs jack `' -f Makefile.compile
 
 clean :
-	rm -rf alsagtkdir jackgtkdir alsaqtdir jackqtdir vecalsagtkdir vecjackgtkdir ladspadir jackwxdir ossgtkdir osswxdir pagtkdir pawxdir moduledir bundledir mspdir vstdir benchdir sndfiledir plotdir benchdir supercolliderdir puredatadir qdir plotdir jackconsoledir matlabplotdir *-ps *-svg
-
-
+	-rm -rf alsagtkdir jackgtkdir alsaqtdir jackqtdir vecalsagtkdir vecjackgtkdir ladspadir jackwxdir ossgtkdir osswxdir pagtkdir pawxdir moduledir bundledir mspdir vstdir benchdir sndfiledir plotdir benchdir supercolliderdir puredatadir qdir plotdir jackconsoledir matlabplotdir *-ps *-svg headersdir

=== debian/changelog ===
jacktrip (1.5.1+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.1+ds0
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jan 2022 08:53:58 +0100

jacktrip (1.5.0+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.0+ds0
  * Bump dates in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Jan 2022 17:23:15 +0100

jacktrip (1.4.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.4.3+ds0

  * Use new upstream changelog
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 22 Dec 2021 15:19:31 +0100

jacktrip (1.4.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.4.2+ds0
    * Refresh patches
  * Drop "qjacktl" and "audacity" from jacktrip-cli's Suggests
  * Build jacktrip-gui with RtAudio support (but not jacktrip-cli)
  * Update manpage
  * Apply 'wrap-and-sort -ast'
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 07 Dec 2021 11:05:58 +0100

jacktrip (1.4.1+ds0-1~exp0) experimental; urgency=medium

  * New upstream version 1.4.1+ds0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * More spelling fixes
  * Build GUI and no-GUI flavours
  * Drop API-reference from package
  * Adjust to new location of documentation
  * Build manpages (if possible)
  * Install a .desktop file for jacktrip-gui
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Fix upstream repository and homepage
  * Fix d/watch
  * Bump standards version to 4.6.0

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Nov 2021 15:04:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,26 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- doxygen,
- graphviz,
  help2man,
- qtbase5-dev,
- qt5-qmake,
- pkg-config,
  libjack-dev,
  librtaudio-dev,
-Standards-Version: 4.5.1
+ pkg-config,
+ qt5-qmake,
+ qtbase5-dev,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://github.com/jcacerec/jacktrip/
+Homepage: https://github.com/jacktrip/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jacktrip
 
 Package: jacktrip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-Suggests: iperf, audacity, qjackctl
-Description: high-quality system for audio network performances
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ iperf,
+Description: high-quality system for audio network performances (cmdline)
  JackTrip is a Linux and Mac OS X-based system used for multi-machine
  network performance over the Internet. It supports any number of
  channels (as many as the computer/network can handle) of bidirectional,
@@ -36,3 +37,29 @@
  .
  It is currently being developed and actively tested at CCRMA by the
  SoundWIRE group.
+ .
+ This package contains the minimal command line version of jacktrip.
+
+Package: jacktrip-gui
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ audacity,
+ iperf,
+ qjackctl,
+Description: high-quality system for audio network performances (GUI)
+ JackTrip is a Linux and Mac OS X-based system used for multi-machine
+ network performance over the Internet. It supports any number of
+ channels (as many as the computer/network can handle) of bidirectional,
+ high quality, uncompressed audio signal streaming.
+ .
+ You can use it between any combination of Linux and Mac OS X systems
+ (i.e., one end using Linux can connect to the other using Mac OS X).
+ .
+ It is currently being developed and actively tested at CCRMA by the
+ SoundWIRE group.
+ .
+ This package contains the GUI version of jacktrip, which also includes
+ RtAudio support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

FLAVORS = cli gui
CONFIG_cli = -config nogui
CONFIG_gui = -config rtaudio


builddir=debian/build/flavor-

export QT_SELECT=qt5
DEB_SRCDIR = .

%:
	dh $@ --sourcedirectory=$(DEB_SRCDIR) --buildsystem=qmake

override_dh_clean:
	dh_clean
	rm -rf $(FLAVORS:%=$(builddir)%)
	rm -f $(FLAVORS:%=jacktrip-%.1)

#.PHONY: $(patsubst %,configure_%,$(FLAVORS))
override_dh_auto_configure-arch: $(patsubst %,configure_%,$(FLAVORS))
configure_%:
	dh_auto_configure -a -B $(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*)) $(CURDIR)/jacktrip.pro

#.PHONY: $(patsubst %,build_%,$(FLAVORS))
override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS)) $(patsubst %,$(builddir)%/jacktrip.1,$(FLAVORS))
build_%:
	dh_auto_build -a -B $(builddir)$* -- -f Makefile.Release
	cp $(builddir)$*/jacktrip $(builddir)$*/jacktrip-$*
# manpages
$(builddir)%/jacktrip.1: build_%
	cp debian/jacktrip.1 $@
	-help2man --no-info --section=1 -n "high-quality system for audio network performances" --output $@ $(builddir)$*/jacktrip
	cp $@ $(patsubst %.1,%-$*.1,$@)

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.yml

licensecheck:
	licensecheck --deb-machine -r * \
		-i 'documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints))$$' \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format
version=4
opts=dversionmangle=auto,\
     repacksuffix=+ds0,\
     filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
  https://github.com/jacktrip/jacktrip/tags .*/v?(\d\S*)\.tar\.gz

## jacktrip 1.6.3+ds0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,29 @@
 cmake_minimum_required(VERSION 3.12)
 set(CMAKE_OSX_DEPLOYMENT_TARGET 10.13)
+set(CMAKE_OSX_ARCHITECTURES arm64;x86_64)
 project(QJackTrip)
 
 set(nogui FALSE)
 set(rtaudio TRUE)
 set(weakjack TRUE)
-add_compile_definitions(NO_JTVS)
+set(novs TRUE)
+
+message(STATUS "Hello Aaron! For anyone else, heed the following warning:")
+message(WARNING "The CMake build of JackTrip is currently NOT officially supported. Meson or QMake are recommended for a full featured build."
+        "https://jacktrip.github.io/jacktrip/Build/Meson_build/")
+
+add_compile_definitions(PSI)
+add_compile_definitions(NO_UPDATER)
+#add_compile_definitions(BUILD_TYPE="psi-borg.org NO_VS binary")
+#string(TIMESTAMP BUILD_DATE "%Y%m%d")
+#set(BUILD_NUMBER "00")
+#add_compile_definitions(BUILD_ID="${BUILD_DATE}${BUILD_NUMBER}")
+#add_compile_definitions(NDEBUG)
 add_compile_definitions(QT_OPENSOURCE)
 
 if (nogui)
   add_compile_definitions(NO_GUI)
+  set(novs TRUE)
 endif ()
 
 if (rtaudio)
@@ -20,6 +34,10 @@
   add_compile_definitions(USE_WEAK_JACK)
   include_directories("externals/weakjack")
 endif()
+
+if (novs)
+  add_compile_definitions(NO_VS)
+endif ()
 
 if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   set (ENV{PKG_CONFIG_PATH} "/usr/local/lib/pkgconfig")
@@ -43,7 +61,7 @@
   find_package(PkgConfig REQUIRED)
   pkg_check_modules(JACK REQUIRED IMPORTED_TARGET jack)
   if (weakjack)
-    # On mac, weakjack doesnt't find jack unless this is explicitly included.
+    # On mac, weakjack doesn't find jack unless this is explicitly included.
     include_directories(${JACK_INCLUDE_DIRS})
   endif ()
   if (rtaudio)
@@ -51,6 +69,7 @@
   endif ()
 endif ()
 
+#set_property(SOURCE src/Regulator.h PROPERTY SKIP_AUTOGEN ON)
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 # Instruct CMake to run moc automatically when needed.
@@ -63,6 +82,11 @@
 # Find the QtWidgets library
 if (NOT nogui)
   find_package(Qt5Widgets CONFIG REQUIRED)
+  if (NOT novs)
+    find_package(Qt5Quick CONFIG REQUIRED)
+    find_package(Qt5NetworkAuth CONFIG REQUIRED)
+    find_package(Qt5WebSockets CONFIG REQUIRED)
+  endif ()
 endif ()
 find_package(Qt5Network CONFIG REQUIRED)
 
@@ -82,7 +106,7 @@
   src/PacketHeader.cpp
   src/RingBuffer.cpp
   src/JitterBuffer.cpp
-  src/PoolBuffer.cpp
+  src/Regulator.cpp
   src/Compressor.cpp
   src/Limiter.cpp
   src/Reverb.cpp
@@ -110,8 +134,25 @@
     src/gui/about.cpp
     src/gui/messageDialog.cpp
     src/gui/textbuf.cpp
-    src/gui/qjacktrip.qrc
   )
+  
+  if (NOT novs)
+    set (qjacktrip_SRC ${qjacktrip_SRC}
+      src/gui/virtualstudio.cpp
+      src/gui/vsQuickView.cpp
+      src/gui/vsServerInfo.cpp
+      src/gui/vsPing.cpp
+      src/gui/vsPinger.cpp
+      src/gui/vsDevice.cpp
+      src/gui/vsUrlHandler.cpp
+      src/gui/vsWebSocket.cpp
+      src/gui/qjacktrip.qrc
+      # Need to include this for AUTOMOC to do its thing
+      src/JTApplication.h
+    )
+  else ()
+    set (qjacktrip_SRC ${qjacktrip_SRC} src/gui/qjacktrip_novs.qrc)
+  endif ()
 
   if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
     set (qjacktrip_SRC ${qjacktrip_SRC} win/qjacktrip.rc)
@@ -128,9 +169,12 @@
 add_executable(jacktrip ${qjacktrip_SRC})
 
 # Set our libraries for our linker
-set (qjacktrip_LIBS Qt5::Widgets)
+set (qjacktrip_LIBS Qt5::Network)
 if (NOT nogui)
-  set (qjacktrip_LIBS ${qjacktrip_LIBS} Qt5::Network)
+  set (qjacktrip_LIBS ${qjacktrip_LIBS} Qt5::Widgets)
+  if (NOT novs)
+    set (qjacktrip_LIBS ${qjacktrip_LIBS} Qt5::Quick Qt5::NetworkAuth Qt5::WebSockets)
+  endif ()
 endif ()
 
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

=== debian/changelog ===
jacktrip (1.6.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.3+ds0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Aug 2022 19:10:24 +0200

jacktrip (1.6.2+ds0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.6.2+ds0
    + Re-generate d/copyright_hints
  * B-D on libqt5websockets5-dev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 12:42:07 +0200

jacktrip (1.6.1+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.1+ds0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Add some more QT5 B-Ds
  * Switch buildsystem to 'meson'
  * Override dh_auto_install
  * Install all files for jacktrip-gui
  * Fix cross-compilation:
    * Mark python3-(jinja2 ,yaml) dependency as ':native'
    * Only B-D on 'help2man' if not cross-compiling
  * Fix d/watch to correctly handle release-candidates

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Jul 2022 22:31:10 +0200

jacktrip (1.5.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.3+ds0
  * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 06 Apr 2022 10:20:55 +0200

jacktrip (1.5.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.2+ds0
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Mar 2022 19:39:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- help2man,
+ help2man <!cross>,
  libjack-dev,
+ libqt5networkauth5-dev,
+ libqt5svg5-dev,
+ libqt5websockets5-dev,
  librtaudio-dev,
+ meson,
  pkg-config,
- qt5-qmake,
+ python3-jinja2:native,
+ python3-yaml:native,
  qtbase5-dev,
-Standards-Version: 4.6.0
+ qtdeclarative5-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jacktrip/jacktrip/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jacktrip.git

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 FLAVORS = cli gui
-CONFIG_cli = -config nogui
-CONFIG_gui = -config rtaudio
+CONFIG_cli = -Dnogui=true -Drtaudio=disabled -Djack=enabled
+CONFIG_gui = -Dnogui=false -Drtaudio=enabled -Djack=enabled
 
 
 builddir=debian/build/flavor-
@@ -16,28 +16,47 @@
 DEB_SRCDIR = .
 
 %:
-	dh $@ --sourcedirectory=$(DEB_SRCDIR) --buildsystem=qmake
+	dh $@ --sourcedirectory=$(DEB_SRCDIR) --buildsystem=meson
 
 override_dh_clean:
 	dh_clean
 	rm -rf $(FLAVORS:%=$(builddir)%)
+	-rmdir debian/build/
 	rm -f $(FLAVORS:%=jacktrip-%.1)
 
 #.PHONY: $(patsubst %,configure_%,$(FLAVORS))
 override_dh_auto_configure-arch: $(patsubst %,configure_%,$(FLAVORS))
 configure_%:
-	dh_auto_configure -a -B $(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*)) $(CURDIR)/jacktrip.pro
+	dh_auto_configure -a -B $(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*))
 
 #.PHONY: $(patsubst %,build_%,$(FLAVORS))
 override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS)) $(patsubst %,$(builddir)%/jacktrip.1,$(FLAVORS))
 build_%:
-	dh_auto_build -a -B $(builddir)$* -- -f Makefile.Release
+	dh_auto_build -a -B $(builddir)$*
 	cp $(builddir)$*/jacktrip $(builddir)$*/jacktrip-$*
 # manpages
 $(builddir)%/jacktrip.1: build_%
 	cp debian/jacktrip.1 $@
 	-help2man --no-info --section=1 -n "high-quality system for audio network performances" --output $@ $(builddir)$*/jacktrip
 	cp $@ $(patsubst %.1,%-$*.1,$@)
+
+#.PHONY: $(patsubst %,test_%,$(FLAVORS))
+override_dh_auto_test-arch: $(patsubst %,test_%,$(FLAVORS))
+test_%:
+	dh_auto_test -a -B $(builddir)$*
+
+#.PHONY: $(patsubst %,install_%,$(FLAVORS))
+override_dh_auto_install-arch: $(patsubst %,install_%,$(FLAVORS))
+install_%:
+	dh_auto_install -a -B $(builddir)$*
+	-mv debian/tmp/usr/bin/jacktrip debian/tmp/usr/bin/jacktrip-$*
+	-cp debian/jacktrip.1 debian/tmp/usr/share/man/man1/jacktrip-$*.1
+	-mv debian/tmp/usr/share/man/man1/jacktrip.1 debian/tmp/usr/share/man/man1/jacktrip-$*.1
+	-find debian/tmp -type f -name "*.desktop" -exec sed -e "s|^\(Exec=jacktrip\)$$|\1-$*|" -i {} ";"
+install_cli:
+	echo "skipping auto_install for flavour 'cli'"
+
+
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.yml

=== debian/watch ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # See uscan(1) for format
 version=4
 opts=dversionmangle=auto,\
+     uversionmangle=s/-pre/~pre/;s/-rc/~rc/,\
      repacksuffix=+ds0,\
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
   https://github.com/jacktrip/jacktrip/tags .*/v?(\d\S*)\.tar\.gz

## jacktrip 1.6.8+ds

=== debian/changelog ===
jacktrip (1.6.8+ds-1) unstable; urgency=medium

  * New upstream version 1.6.8+ds
  * Drop number from repacksuffix
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 11 Dec 2022 22:12:23 +0100

jacktrip (1.6.7+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.7+ds0
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Dec 2022 22:31:06 +0100

jacktrip (1.6.6+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.6+ds0
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Nov 2022 11:15:20 +0100

jacktrip (1.6.4+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.4+ds0
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Sep 2022 12:11:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -61,9 +61,15 @@
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.yml
 
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|documentation/img/.*|docs/images/.*\.png|src/gui/.*\.png|src/gui/alt/Jacktrip\.ai|macos/jacktrip\.iconset/.*\.png|macos/JackTrip\.app_template/Contents/Resources/jacktrip\.icns|macos/jacktrip_alt\.icns
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --deb-machine -r * \
-		-i 'documentation/img/.*|debian/(changelog|copyright(|_hints|_newhints))$$' \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

## jacktrip 1.7.0%2Bds

=== debian/changelog ===
jacktrip (1.7.0+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Feb 2023 11:19:59 +0100

jacktrip (1.7.0+ds-1) unstable; urgency=medium

  * New upstream version 1.7.0+ds
  * Use wrapper-script to launch jacktrip from .desktop
  * Simplify 'clean' target
  * Update d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 27 Jan 2023 11:00:45 +0100
